Subject: [bug#32431] [PATCH] gnu: clementine: Drop dependency on qtwebkit.

From: Leo Famulari <[email-masked]>
Date: Tue, 14 Aug 2018 20:42:06 -0400

On Tue, Aug 14, 2018 at 10:32:11PM +0100, Pierre Langlois wrote:
> * gnu/packages/databases.scm (sqlite-with-fts3): Remove.
> * gnu/packages/music.scm (clementine)[inputs]: Replace sqlite-with-fts3 with
> sqlite.
> [source][patches]: Add clementine-fix-sqlite.patch.
> * gnu/packages/patches/clementine-fix-sqlite.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Add it.

Thanks!

With this, I could start Clementine but I couldn't actually play
any MP3 or FLAC files. It would fail with a dialog that said:

"GStreamer could not create the element: autoaudiosink. Please make sure
that you have installed all necessary GStreamer plugins (e.g. OGG and
MP3)"

But, when I rebuilt Clementine with the missing plugins (as attached),
it works.

If that change looks good to you I'll push it along with your patches.
diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 7d4aeff99..2b8ff451b 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -272,6 +272,8 @@ score, keyboard, guitar, drum and controller views.")
          ("glu" ,glu)
          ("gstreamer" ,gstreamer)
          ("gst-plugins-base" ,gst-plugins-base)
+         ("gst-plugins-good" ,gst-plugins-good)
+         ("gst-libav" ,gst-libav)
          ("libcdio" ,libcdio)
          ("libmygpo-qt" ,libmygpo-qt)
          ;; TODO: Package libgpod.